create.sgldata {sglOptim} | R Documentation

## Create a sgldata object

### Description

Creates a sgldata object from a design matrix and an optional response vector or matrix.

### Usage

    create.sgldata(x, y, response_dimension = .get_response_dimension(y),
      response_names = .get_response_names(y), sparseX = is(x,
      "sparseMatrix"), sparseY = is(y, "sparseMatrix"),
      typeX = element_class(x), typeY = element_class(y))

### Arguments

`x` | the design matrix, a matrix of size N \times p (will be parsed to the loss module as `X`).
`y` | the responses, `NULL`, a vector or a matrix (will be parsed to the loss module as matrix `Y`)..
`response_dimension` | number of models, that is the dimension of the returned response.
`response_names` | names of models, that is the names of the elements of the returned response.
`sparseX` | if TRUE `x` will be treated as sparse, if FALSE `x` will be treated as dens.
`sparseY` | if TRUE `y` will be treated as sparse, if FALSE `y` will be treated as dens.
`typeX` | type of the elements of x.
`typeY` | type of the elements of y.

### Author(s)

Martin Vincent

### See Also

Other sgldata: `add_data.sgldata`, `prepare.args.sgldata`, `prepare.args`, `prepare_data`, `rearrange.sgldata`, `subsample.sgldata`

[Package sglOptim version 1.3.8 Index]